#include<stdio.h>
//sortiranje()
main(){
	int i,j,i1,meridijan1,meridijan,brojac=0,postoji=0;
	long nglasova,nscenarija;
						//MaxBet i ostale igraonice	  
	scanf("%ld %ld",&nglasova,&nscenarija);
	long glasovi[nglasova*2],scenariji[nscenarija];
	for(i=0;i<(nglasova);i++)	scanf("%ld",&glasovi[i]);
	for(i=nglasova+1;i<nglasova*2+1;i++)	glasovi[i]=0;

	for(i=0;i<nglasova;i++){
		for(j=i;j<nglasova;j++){					  //i j
			if(glasovi[i]<glasovi[j]){			     //2 3
				glasovi[i]=glasovi[i]+glasovi[j];   //5 3
				glasovi[j]=glasovi[i]-glasovi[j];  //5 2
				glasovi[i]=glasovi[i]-glasovi[j];
			}
		}
	}
	//57364
	//7 6 5 4 3 0 0 0 0 0
	//7 6 5 4 3 0 0 0 0 0 //6
	//7 6 6 6 5 4 3 0 0 0 
	if(nglasova%2==0)	meridijan1=glasovi[nglasova/2-1];
	else	meridijan1=glasovi[nglasova/2];
	meridijan=meridijan1;
	
		for(i=0;i<nglasova;i++){
			if(meridijan==glasovi[i]){
				postoji=1;		//na kraju samo minus postoji u printfu
				break;       
				}
		}
	printf("Meka:%d",meridijan);
	for(i=0;i<nscenarija;i++){
		scanf("%d",&scenariji[i]);
		if(scenariji[i]>meridijan){
			while(scenariji[i]>meridijan){
				nglasova++;
				glasovi[nglasova]=meridijan1;
				if(nglasova%2==0)	meridijan=glasovi[nglasova/2-1];
				else	meridijan=glasovi[nglasova/2]; 
				brojac++;
				for(i1=0;i1<nglasova;i1++){
					for(j=i1;j<nglasova;j++){					  //i j
						if(glasovi[i1]<glasovi[j]){			     //2 3
							glasovi[i1]=glasovi[i1]+glasovi[j];   //5 3
							glasovi[j]=glasovi[i1]-glasovi[j];  //5 2
							glasovi[i1]=glasovi[i1]-glasovi[j];
						}
					}
				}
			}
		}
		if else(scenariji[i]<meridijan){
			while(scenariji[i]<meridijan){
				for(i1=0;i1<nglasova;i1++){
					for(j=i1;j<nglasova;j++){					  //i j
						if(glasovi[i1]<glasovi[j]){			     //2 3
							glasovi[i1]=glasovi[i1]+glasovi[j];   //5 3
							glasovi[j]=glasovi[i1]-glasovi[j];  //5 2
							glasovi[i1]=glasovi[i1]-glasovi[j];
						}
						}
		}
	}					nglasova++;
				glasovi[nglasova]=meridijan1;
				if(nglasova%2==0)	meridijan=glasovi[nglasova/2];
				else	meridijan=glasovi[nglasova/2-1]; 
				brojac++;
			}
	else
		brojac=0;
	


	//if(meridijan==0)
	
	printf("\n%d\n",meridijan);
	for(i=0;i<nglasova*2;i++) printf("glas%ld:%ld\n",i,glasovi[i]);
	printf("%d\n",brojac);
	
}